Subject: Re: working around "more" (Was Re: what is my mistake?!!!!!)
From: "Mohammed Abdel'al" <[email-masked]>
To: "Earnie Boyd" <[email-masked]>, "Charles S. Wilson" <[email-masked]>
Cc: "Paul Garceau" <[email-masked]>, <[email-masked]>
Date: Mon, 14 Aug 2000 19:01:33 +0300

I did specified c++ by adding the "CC=c++" to the make file but this gave
another error
here is the error msg:
administrator@MACHINE3 ~/cygipc-1.05
make $
Building version.dep from version.c
Building strace.dep from strace.c
Building shm.dep from shm.c
Building sem.dep from sem.c
Building reverse.dep from reverse.c
Building msg.dep from msg.c
Building itoa.dep from itoa.c
Building ipctest.dep from ipctest.c
Building ipcs.dep from ipcs.c
Building ipcrm.dep from ipcrm.c
Building ipc-daemon.dep from ipc-daemon.c
Building ftok.dep from ftok.c
c++ -Wall -O2 -ggdb  -DVERSION_NUM=1.04 -I./include -I.  -c -o version.o
version
c.
c++ -Wall -O2 -ggdb  -DVERSION_NUM=1.04 -I./include -I.  -c -o sem.o sem.c
,In file included from include/IpcNtExt.h:51
from sem.c:41:
include/IpcNtStr.h:72: ANSI C++ forbids data member `current_nb' with same
name
as enclosing class
make: *** [sem.o] Error 1

administrator@MACHINE3 ~/cygipc-1.05
~ $

----- Original Message -----
From: "Earnie Boyd" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>; "Mohammed Abdel'al"
<[email-masked]>
Cc: "Paul Garceau" <[email-masked]>; <[email-masked]>
Sent: Monday, August 14, 2000 3:09 PM
Subject: Re: working around "more" (Was Re: what is my mistake?!!!!!)

> --- "Charles S. Wilson" <[email-masked]> wrote:
> > Well, it seems that sometime since I last built cygipc, the strace stuff
> > got reworked to be C++ instead of C.  If you look in strace.h, you see
> > that it declares an "strace" class as well as various "normal"
> > definitions.  Trying to compile ipc-daemon.c with g++ doesn't help,
> > though:
> >
> > $ g++ -Wall -O2 -DVERSION_NUM=1.04 -I./include -I.  -c -o ipc-daemon.o
> > ipc-daemon.c
> >
>
> G++ as well as gcc uses the input file suffix to determine program type.
> Either use the -x switch to specify that you want c++ or rename the
> ipc-daemon.c file to ipc-daemon.cc.
>
> Cheers,
>
> =====
> ---
>    Earnie Boyd: <mailto:[email-masked]>
>             __Cygwin: POSIX on Windows__
> Cygwin Newbies: <http://gw32.freeyellow.com/>
>            __Minimalist GNU for Windows__
>   Mingw32 List: <http://www.egroups.com/group/mingw32/>
>     Mingw Home: <http://www.mingw.org/>
>
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Mail - Free email you can access from anywhere!
> http://mail.yahoo.com/
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]